export declare abstract class SchedulableTask {
    id: number;
    queue: string;
    tries: number;
    lastExecuted: Date;
    errors: Array<string>;
    response: any;
    storageKey: string;
    abstract handle(): Promise<any>;
    abstract afterHandle(data: any): any;
    dispatch(): Promise<void>;
    serialize(): string;
    static decorate(jsonObject: any): any;
}
