import { SchedulableTask } from './SchedulableTask';
export declare class Worker {
    private static queues;
    private static providers;
    private static isRunning;
    private static intervalId;
    static withProviders(providers: Array<SchedulableTask> | object): void;
    static getProvider(key: string): any;
    static addTask(task: SchedulableTask): Promise<void>;
    static removeTasks(ids: Array<number>, queueName: any): Promise<unknown>;
    static up(): void;
    static runOnce(queueName?: string): Promise<unknown>;
    private static runTask;
    static afterRun(queue: any): void;
    static saveTasks(queueName: any, queueData: Array<SchedulableTask>): Promise<void>;
    static getTasks(queueName: any): Promise<any>;
    /**
     * Derruba o worker
     */
    static stop(): Promise<unknown>;
}
